| Demo HCI Implementation for WiMOD-LR Devices V2.0.3

Public Member Functions | Protected Member Functions | List of all members
WiMOD_SAP_DevMgmt_Lorawan Class Reference

Implementation for the ServiceAccessPoint DeviceManagement. More...

`#include <SAP/WiMOD_SAP_DEVMGMT_Lorawan.h>`

Inheritance diagram for WiMOD_SAP_DevMgmt_Lorawan:
[legend]
Collaboration diagram for WiMOD_SAP_DevMgmt_Lorawan:
[legend]

## Public Member Functions
| WiMOD_SAP_DevMgmt_Lorawan (TWiMODLRHCI *hci, UINT8 *buffer, UINT16 bufferSize)
| Constructor. More...
virtual | ~WiMOD_SAP_DevMgmt_Lorawan (void)
| Destructor.
virtual TWiMODLRResultCodes | GetDeviceInfo (TWiMODLR_DevMgmt_DevInfo *info, UINT8 *statusRsp)
| Get Device Info - Basic Information about the WiMOD module. More...
virtual TWiMODLRResultCodes | GetDeviceInfo (TWiMODLR_DevMgmt_DevInfoLoRaWan *info, UINT8 *statusRsp)
virtual TWiMODLRResultCodes | GetSystemStatus (TWiMODLR_DevMgmt_SystemStatus *info, UINT8 *statusRsp)
| GetSystemStatus Cmd - Get basic info about the system status of WiMOD. More...
virtual TWiMODLRResultCodes | GetSystemStatus (TWiMODLR_DevMgmt_SystemStatusLorawan *info, UINT8 *statusRsp)
| GetSystemStatus Cmd - Get basic info about the system status of WiMOD. More...
virtual TWiMODLRResultCodes | GetRadioConfig (TWiMODLR_DevMgmt_RadioConfig *radioCfg, UINT8 *statusRsp)
| GetRadioConfig Cmd - Get the radio settings of the WiMOD. More...
virtual TWiMODLRResultCodes | SetRadioConfig (const TWiMODLR_DevMgmt_RadioConfig *radioCfg, UINT8 *statusRsp)
| SetRadioConfig Cmd - Set the radio settings of the WiMOD. More...
virtual TWiMODLRResultCodes | ResetRadioConfig (UINT8 *statusRsp)
| ResetRadioConfig Cmd - Reset the radio config to factory defaults. More...
virtual TWiMODLRResultCodes | SetRadioMode (const TRadioCfg_RadioMode radioMode, UINT8 *statusRsp)
| SetRadioMode - Set the current radio mode of the WiMOD. More...
virtual TWiMODLRResultCodes | SetAesKey (const UINT8 *key, UINT8 *statusRsp)
| SetAesKey Cmd - Set the 128bit AES that is to be used for encryption. More...
virtual TWiMODLRResultCodes | GetAesKey (UINT8 *key, UINT8 *statusRsp)
| GetAesKey Cmd - Get the 128bit AES that that is used for encryption. More...
Public Member Functions inherited from WiMOD_SAP_DevMgmt
| WiMOD_SAP_DevMgmt (TWiMODLRHCI *hci, UINT8 *buffer, UINT16 bufferSize)
| Constructor. More...
virtual | ~WiMOD_SAP_DevMgmt (void)
| Destructor.
virtual TWiMODLRResultCodes | Ping (UINT8 *statusRsp)
| Ping Cmd - Checks if the serial connection of to the WiMOD module is OK. More...
virtual TWiMODLRResultCodes | Reset (UINT8 *statusRsp)
| Reset Cmd - Do a reset / reboot of the WiMOD. More...
virtual TWiMODLRResultCodes | GetFirmwareInfo (TWiMODLR_DevMgmt_FwInfo *info, UINT8 *statusRsp)
| GetFirmwareInfo Cmd - Get basic info about the running firmware. More...
virtual TWiMODLRResultCodes | GetRtc (UINT32 *rtcTime, UINT8 *statusRsp)
| GetRtc Cmd - Get the current RTC time/date from WiMOD. More...
virtual TWiMODLRResultCodes | SetRtc (const UINT32 rtcTime, UINT8 *statusRsp)
| SetRtc Cmd - Set the current RTC time/date of WiMOD. More...
virtual TWiMODLRResultCodes | GetOperationMode (TWiMOD_OperationMode *opMode, UINT8 *statusRsp)
| GetOperationMode Cmd - Get the current operation mode of the WiMOD. More...
virtual TWiMODLRResultCodes | SetOperationMode (const TWiMOD_OperationMode opMode, UINT8 *statusRsp)
| SetOperationMode Cmd - Set the current operation mode of the WiMOD. More...
virtual TWiMODLRResultCodes | SetRtcAlarm (const TWiMODLR_DevMgmt_RtcAlarm *rtcAlarm, UINT8 *statusRsp)
| SetRtcAlarm Cmd - Set a new RTC alarm config. More...
virtual TWiMODLRResultCodes | GetRtcAlarm (TWiMODLR_DevMgmt_RtcAlarm *rtcAlarm, UINT8 *statusRsp)
| GetRtcAlarm Cmd - Get information about RTC alarm feature. More...
virtual TWiMODLRResultCodes | ClearRtcAlarm (UINT8 *statusRsp)
| ClearRtcAlarm Cmd - Clear a pending RTC alarm. More...
virtual TWiMODLRResultCodes | SetHCIConfig (TWiMODLR_DevMgmt_HciConfig &hciConfig, UINT8 *statusRsp)
| SetHCIConfig Cmd - Sets the HCI config options for the LR-BASE_PLUS firmware. More...
virtual TWiMODLRResultCodes | GetHCIConfig (TWiMODLR_DevMgmt_HciConfig *hciConfig, UINT8 *statusRsp)
| SetHCIConfig Cmd - Gets the HCI config options for the LR-BASE_PLUS firmware. More...
void | RegisterPowerUpIndicationClient (TDevMgmtPowerUpCallback cb)
| Register a callback function for processing a PowerUp Indication message. More...
void | RegisterRtcAlarmIndicationClient (TDevMgmtRtcAlarmCallback cb)
| Register a callback function for processing a RTC Alarm Indication message. More...
void | DispatchDeviceMgmtMessage (TWiMODLR_HCIMessage &rxMsg)

## Protected Member Functions
virtual TWiMODLRResultCodes | unsupportedCmd (UINT8 *statusRsp)

## Detailed Description

Implementation for the ServiceAccessPoint DeviceManagement.

## Constructor & Destructor Documentation

## ◆ WiMOD_SAP_DevMgmt_Lorawan()

WiMOD_SAP_DevMgmt_Lorawan::WiMOD_SAP_DevMgmt_Lorawan | ( | TWiMODLRHCI * | hci,
|  | UINT8 * | buffer,
|  | UINT16 | bufferSize
| ) |  |

Constructor.

Parameters

  hci | Pointer to HCI processor object
  buffer | pointer to storage area for building tx frames; MUST BE VALID
  bufferSize | size of the buffer

## Member Function Documentation

## ◆ GetAesKey()

TWiMODLRResultCodes WiMOD_SAP_DevMgmt_Lorawan::GetAesKey | ( | UINT8 * | key,
|  | UINT8 * | statusRsp
| ) |  |
| virtual

GetAesKey Cmd - Get the 128bit AES that that is used for encryption.

Parameters

  key | pointer where to store the 128bit AES key (pointer to array of 16 UINT8 entries)
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

Reimplemented from WiMOD_SAP_DevMgmt.

## ◆ GetDeviceInfo()

TWiMODLRResultCodes WiMOD_SAP_DevMgmt_Lorawan::GetDeviceInfo | ( | TWiMODLR_DevMgmt_DevInfo * | info,
|  | UINT8 * | statusRsp
| ) |  |
| virtual

Get Device Info - Basic Information about the WiMOD module.

Parameters

  info | pointer to store the received information
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

Reimplemented from WiMOD_SAP_DevMgmt.

## ◆ GetRadioConfig()

TWiMODLRResultCodes WiMOD_SAP_DevMgmt_Lorawan::GetRadioConfig | ( | TWiMODLR_DevMgmt_RadioConfig * | radioCfg,
|  | UINT8 * | statusRsp
| ) |  |
| virtual

GetRadioConfig Cmd - Get the radio settings of the WiMOD.

Parameters

  radioCfg | pointer to store the received information
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

Reimplemented from WiMOD_SAP_DevMgmt.

## ◆ GetSystemStatus() [1/2]

TWiMODLRResultCodes WiMOD_SAP_DevMgmt_Lorawan::GetSystemStatus | ( | TWiMODLR_DevMgmt_SystemStatus * | info,
|  | UINT8 * | statusRsp
| ) |  |
| virtual

GetSystemStatus Cmd - Get basic info about the system status of WiMOD.

Parameters

  info | pointer to store the received information
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

Reimplemented from WiMOD_SAP_DevMgmt.

Reimplemented in WiMOD_SAP_DevMgmt_ProLink.

## ◆ GetSystemStatus() [2/2]

TWiMODLRResultCodes WiMOD_SAP_DevMgmt_Lorawan::GetSystemStatus | ( | TWiMODLR_DevMgmt_SystemStatusLorawan * | info,
|  | UINT8 * | statusRsp
| ) |  |
| virtual

GetSystemStatus Cmd - Get basic info about the system status of WiMOD.

Parameters

  info | pointer to store the received information
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

## ◆ ResetRadioConfig()

TWiMODLRResultCodes WiMOD_SAP_DevMgmt_Lorawan::ResetRadioConfig | ( | UINT8 * | statusRsp | ) |
| virtual

ResetRadioConfig Cmd - Reset the radio config to factory defaults.

Parameters

  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

Reimplemented from WiMOD_SAP_DevMgmt.

## ◆ SetAesKey()

TWiMODLRResultCodes WiMOD_SAP_DevMgmt_Lorawan::SetAesKey | ( | const UINT8 * | key,
|  | UINT8 * | statusRsp
| ) |  |
| virtual

SetAesKey Cmd - Set the 128bit AES that is to be used for encryption.

Parameters

  key | pointer to the 128bit AES key (pointer to array of 16 UINT8 entries)
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

Reimplemented from WiMOD_SAP_DevMgmt.

## ◆ SetRadioConfig()

TWiMODLRResultCodes WiMOD_SAP_DevMgmt_Lorawan::SetRadioConfig | ( | const TWiMODLR_DevMgmt_RadioConfig * | radioCfg,
|  | UINT8 * | statusRsp
| ) |  |
| virtual

SetRadioConfig Cmd - Set the radio settings of the WiMOD.

Parameters

  radioCfg | pointer to the new radio configuration
  statusRsp | pointer to store status byte of response mesg from WiMOD

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

Reimplemented from WiMOD_SAP_DevMgmt.

## ◆ SetRadioMode()

TWiMODLRResultCodes WiMOD_SAP_DevMgmt_Lorawan::SetRadioMode | ( | const TRadioCfg_RadioMode | radioMode,
|  | UINT8 * | statusRsp
| ) |  |
| virtual

SetRadioMode - Set the current radio mode of the WiMOD.

Parameters

  radioMode | the new radio mode to set
  statusRsp | pointer to store status byte of response mesg from WiMOD

Warning
  : This use this command with care!

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

Reimplemented from WiMOD_SAP_DevMgmt.

The documentation for this class was generated from the following files:

- SAP/WiMOD_SAP_DEVMGMT_Lorawan.h
- SAP/WiMOD_SAP_DEVMGMT_Lorawan.cpp